import ItemObject from "./item-object";
import Item from "./item";
import Documents from "./documents";
import PartitionKeyRanges from "./partition-key-ranges";
import UserDefinedFunctions from "./user-defined-functions";
import { PartitionValue } from "../types";
export default class Collection extends Item {
    documents: Documents;
    partitionKeyRanges: PartitionKeyRanges;
    userDefinedFunctions: UserDefinedFunctions;
    constructor(data: ItemObject | undefined | null);
    document(idOrRid: string, partition: PartitionValue): import("./document").default;
    userDefinedFunction(idOrRid: string): import("./user-defined-function").default;
}
