"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable class-methods-use-this, no-underscore-dangle, no-use-before-define */
const collections_1 = __importDefault(require("./collections"));
const item_1 = __importDefault(require("./item"));
class Database extends item_1.default {
    constructor(data) {
        super(data);
        this.collections = new collections_1.default(this, ["/id"]);
    }
    collection(idOrRid) {
        return this.collections._item("/id", idOrRid, idOrRid);
    }
}
exports.default = Database;
