import Collection from "./collection";
import ItemObject from "./item-object";
import Items from "./items";
import UserDefinedFunction from "./user-defined-function";
export default class UserDefinedFunctions extends Items<Collection, UserDefinedFunction> {
    functions: {
        [x: string]: any;
    };
    constructor(parent: Collection);
    _newItem(data: ItemObject | undefined | null): UserDefinedFunction;
    _rid(id: number): string;
    _self(rid: string): string;
    replace({ id, body }: {
        id: string;
        body: string;
    }): ItemObject;
    create({ id, body }: {
        id: string;
        body: string;
    }): ItemObject;
    upsert({ id, body }: {
        id: string;
        body: string;
    }): ItemObject;
    delete(idOrRid: string): void;
}
