import Collection from "../account/collection";
import { CreateOperationInput, DeleteOperationInput, JSONObject, ReadOperationInput, ReplaceOperationInput, UpsertOperationInput } from "../types";
export interface OperationResult {
    statusCode: number;
    body?: JSONObject;
}
export declare function createOperation(collection: Collection, input: CreateOperationInput): OperationResult;
export declare function deleteOperation(collection: Collection, input: DeleteOperationInput): OperationResult;
export declare function readOperation(collection: Collection, input: ReadOperationInput): OperationResult;
export declare function replaceOperation(collection: Collection, input: ReplaceOperationInput): OperationResult;
export declare function upsertOperation(collection: Collection, input: UpsertOperationInput): OperationResult;
