"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _document_operations_1 = require("./_document-operations");
const json_1 = __importDefault(require("../json"));
exports.default = async (account, req, res, { dbId, collId }) => {
    const body = await (0, json_1.default)(req);
    const collection = account.database(dbId).collection(collId);
    const result = (0, _document_operations_1.createOperation)(collection, { resourceBody: body });
    res.statusCode = result.statusCode;
    return result.body;
};
