"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (account, req, res, { dbId, collId }) => {
    const database = account.database(dbId);
    if (!database.collection(collId).read()) {
        res.statusCode = 404;
        return {};
    }
    res.statusCode = 204;
    return database.collections.delete(collId, collId);
};
