"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (account, req, res, { dbId, collId, udfId }) => {
    const collection = account.database(dbId).collection(collId);
    if (!collection.userDefinedFunction(udfId).read()) {
        res.statusCode = 404;
        return {};
    }
    res.statusCode = 204;
    return collection.userDefinedFunctions.delete(udfId);
};
