"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const _read_items_1 = __importDefault(require("./_read-items"));
const json_1 = __importDefault(require("../json"));
exports.default = async (account, req, res) => (0, _read_items_1.default)(req, res, "Databases", async ({ continuation, maxItemCount }) => {
    const body = await (0, json_1.default)(req);
    return account.databases.query(body, { continuation, maxItemCount });
});
