"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (req, headerName) => {
    const headerValues = req.headers[headerName];
    if (!headerValues)
        return false;
    if (Array.isArray(headerValues)) {
        return headerValues.some(h => h.toLowerCase() === "true");
    }
    return headerValues.toLowerCase() === "true";
};
