/**
 * Gets value from an object by following
 * @param keys path
 *
 * Examples:
 *  > getValue(['foo', 'bar'], { foo: { bar: 1 } })
 *  => 1
 *
 *  > getValue(['foo', 'bar'], {})
 *  => undefined
 */
export default function getValue(keys: string[], obj: {
    [key: string]: any;
} | undefined): any;
