"use strict";
/* eslint-disable class-methods-use-this, no-bitwise, no-underscore-dangle, no-use-before-define */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const database_1 = __importDefault(require("./database"));
const items_1 = __importDefault(require("./items"));
const resource_id_1 = __importDefault(require("./resource-id"));
class Databases extends items_1.default {
    _newItem(data) {
        return new database_1.default(data);
    }
    _rid(id) {
        const idString = ((id << 8) | 0x80000000).toString();
        return resource_id_1.default.newDatabaseId(idString).toString();
    }
    _self(rid) {
        return `/dbs/${rid}`;
    }
}
exports.default = Databases;
