"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (account, req, res, { dbId }) => {
    if (!account.database(dbId).read()) {
        res.statusCode = 404;
        return {};
    }
    res.statusCode = 204;
    return account.databases.delete(dbId, dbId);
};
