"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (account, req, res, { dbId, collId, udfId }) => {
    const data = account
        .database(dbId)
        .collection(collId)
        .userDefinedFunction(udfId)
        .read();
    if (!data) {
        res.statusCode = 404;
        return {};
    }
    return data;
};
